Bullet Collision Detection & Physics Library: btQuantizedBvhDoubleData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btQuantizedBvhDoubleData Struct Reference

`#include <btQuantizedBvh.h>`

Collaboration diagram for btQuantizedBvhDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_bvhAabbMin
btVector3DoubleData | m_bvhAabbMax
btVector3DoubleData | m_bvhQuantization
int | m_curNodeIndex
int | m_useQuantization
int | m_numContiguousLeafNodes
int | m_numQuantizedContiguousNodes
btOptimizedBvhNodeDoubleData * | m_contiguousNodesPtr
btQuantizedBvhNodeData * | m_quantizedContiguousNodesPtr
int | m_traversalMode
int | m_numSubtreeHeaders
btBvhSubtreeInfoData * | m_subTreeInfoPtr

## Detailed Description

Definition at line 520 of file btQuantizedBvh.h.

## Member Data Documentation

## ◆ m_bvhAabbMax

btVector3DoubleData btQuantizedBvhDoubleData::m_bvhAabbMax

Definition at line 523 of file btQuantizedBvh.h.

## ◆ m_bvhAabbMin

btVector3DoubleData btQuantizedBvhDoubleData::m_bvhAabbMin

Definition at line 522 of file btQuantizedBvh.h.

## ◆ m_bvhQuantization

btVector3DoubleData btQuantizedBvhDoubleData::m_bvhQuantization

Definition at line 524 of file btQuantizedBvh.h.

## ◆ m_contiguousNodesPtr

btOptimizedBvhNodeDoubleData* btQuantizedBvhDoubleData::m_contiguousNodesPtr

Definition at line 529 of file btQuantizedBvh.h.

## ◆ m_curNodeIndex

int btQuantizedBvhDoubleData::m_curNodeIndex

Definition at line 525 of file btQuantizedBvh.h.

## ◆ m_numContiguousLeafNodes

int btQuantizedBvhDoubleData::m_numContiguousLeafNodes

Definition at line 527 of file btQuantizedBvh.h.

## ◆ m_numQuantizedContiguousNodes

int btQuantizedBvhDoubleData::m_numQuantizedContiguousNodes

Definition at line 528 of file btQuantizedBvh.h.

## ◆ m_numSubtreeHeaders

int btQuantizedBvhDoubleData::m_numSubtreeHeaders

Definition at line 533 of file btQuantizedBvh.h.

## ◆ m_quantizedContiguousNodesPtr

btQuantizedBvhNodeData* btQuantizedBvhDoubleData::m_quantizedContiguousNodesPtr

Definition at line 530 of file btQuantizedBvh.h.

## ◆ m_subTreeInfoPtr

btBvhSubtreeInfoData* btQuantizedBvhDoubleData::m_subTreeInfoPtr

Definition at line 534 of file btQuantizedBvh.h.

## ◆ m_traversalMode

int btQuantizedBvhDoubleData::m_traversalMode

Definition at line 532 of file btQuantizedBvh.h.

## ◆ m_useQuantization

int btQuantizedBvhDoubleData::m_useQuantization

Definition at line 526 of file btQuantizedBvh.h.

The documentation for this struct was generated from the following file:

- btQuantizedBvh.h